### Hierarchy

- EventTarget
  - SpeechRecognition

## Index

### Properties

- EventTarget
- continuous
- grammars
- interimResults
- lang
- maxAlternatives
- onaudioend
- onaudiostart
- onend
- onerror
- onnomatch
- onresult
- onsoundend
- onsoundstart
- onspeechend
- onspeechstart
- onstart
- serviceURI

### Methods

- abort
- addEventListener
- dispatchEvent
- removeEventListener
- start
- stop

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### continuous

continuous: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14370

### grammars

grammars: SpeechGrammarList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14371

### interimResults

interimResults: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14372

### lang

lang: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14373

### maxAlternatives

maxAlternatives: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14374

### onaudioend

onaudioend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14375

### onaudiostart

onaudiostart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14376

### onend

onend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14377

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14378

### onnomatch

onnomatch: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14379

### onresult

onresult: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14380

### onsoundend

onsoundend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14381

### onsoundstart

onsoundstart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14382

### onspeechend

onspeechend: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14383

### onspeechstart

onspeechstart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14384

### onstart

onstart: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14385

### serviceURI

serviceURI: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14386

## Methods

### abort

- abort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14387

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14390

  #### Type parameters

  - #### K: keyof SpeechRecognitionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechRecognition, ev: SpeechRecognitionEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechRecognition

        - ##### ev: SpeechRecognitionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14391

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14392

  #### Type parameters

  - #### K: keyof SpeechRecognitionEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: SpeechRecognition, ev: SpeechRecognitionEventMap[K]): any

      - #### Parameters

        - ##### this: SpeechRecognition

        - ##### ev: SpeechRecognitionEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14393

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### start

- start(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14388

  #### Returns void

### stop

- stop(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14389

  #### Returns void

Generated using TypeDoc